/*************************************************************
*	PROGETTO LABIRINTO
*
* nome file: <stack.h>
*
* Autori:
* Thomas Carrabs
* Roberto Pisoni
*
* Progetto realizzato per l'esame di Geometria Computazionale
* e di Informatica Grafica presso il Dipartimento di Scienze
* dell'Informazione dell'universit Statale di Milano
*
* Tutto il codice  distribuito sotto licenza Gnu/GPL
* http://www.gnu.org/copyleft/gpl.html
* una copia della licenza si trova nella cartella License del
* Progetto
*
*************************************************************/

struct stk_cella{
	int id;						//id cella
	struct stk_cella *next;		//ptr cella successiva
};

struct stack {
	int ctr;					//contatore nro elementi nello stack
	struct stk_cella *top;		//puntatore elemento in cima allo stack
};

typedef struct stack stack;

void creaStack(stack *stack);					//crea lo stack
void pushStack(stack *stack, cella *pcella);	//mette un elemento sullo stack	
int popStack(stack *stack);						//toglie un elemento dallo stack
